Name:           perl-ZeroMQ
Version:        0.18
Release:        2%{?dist}
Summary:        ZeroMQ2 wrapper for Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ZeroMQ/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DM/DMAKI/ZeroMQ-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libuuid-devel
BuildRequires:  zeromq-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::ParseXS) >= 2.21
BuildRequires:  perl(JSON) >= 2.00
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::Exception) >= 0.29
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::TCP)
BuildRequires:  perl(AnyEvent)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(JSON) >= 2.00
Requires:       perl(Task::Weaken)

%description
The ZeroMQ module is a wrapper of the 0MQ message passing library for Perl.
It's a thin wrapper around the C API. Please read http://zeromq.org for
more details on ZeroMQ.

%prep
%setup -q -n ZeroMQ-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README eg/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/ZeroMQ*
%{_mandir}/man3/*.3*

%changelog
* Thu Nov 17 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.18-2
- Dropped perl from the BR list (#747674).

* Mon Nov  7 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.18-1
- Update to 0.18.

* Wed Oct 19 2011 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-1
- First build (base specfile created by cpanspec 1.78)
